class LSTMEffectModel(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  hidden : Tuple[Tensor, Tensor]
  is_hidden_init : bool
  in_ch : int
  out_ch : int
  n_hidden : int
  latent_dim : int
  lstm : __torch__.torch.nn.modules.rnn.LSTM
  fc : __torch__.torch.nn.modules.linear.Linear
  def forward(self: __torch__.mod_extraction.models.LSTMEffectModel,
    x: Tensor,
    latent: Tensor) -> Tensor:
    if torch.eq(torch.dim(x), 3):
      pass
    else:
      ops.prim.RaiseException("AssertionError: ")
    _0 = torch.size(latent)
    _1 = torch.size(x, 0)
    latent_dim = self.latent_dim
    _2 = torch.eq(_0, [_1, latent_dim, torch.size(x, -1)])
    if _2:
      pass
    else:
      ops.prim.RaiseException("AssertionError: ")
    lstm_in = torch.cat([latent, x], 1)
    lstm_in0 = torch.transpose(lstm_in, 1, 2)
    is_hidden_init = self.is_hidden_init
    if is_hidden_init:
      lstm = self.lstm
      hidden = self.hidden
      _3 = (lstm).forward__0(lstm_in0, hidden, )
      lstm_out0, new_hidden0, = _3
      lstm_out, new_hidden = lstm_out0, new_hidden0
    else:
      lstm0 = self.lstm
      _4 = (lstm0).forward__0(lstm_in0, None, )
      lstm_out1, new_hidden1, = _4
      lstm_out, new_hidden = lstm_out1, new_hidden1
    fc = self.fc
    fc_out = (fc).forward(lstm_out, )
    fc_out0 = torch.transpose(fc_out, 1, 2)
    y_hat = torch.add(fc_out0, x)
    y_hat0 = torch.tanh(y_hat)
    _5 = (self).update_hidden(new_hidden, )
    return y_hat0
  def update_hidden(self: __torch__.mod_extraction.models.LSTMEffectModel,
    hidden: Tuple[Tensor, Tensor]) -> NoneType:
    self.hidden = hidden
    self.is_hidden_init = True
    return None
