class CoreMetadata(NamedTuple):
  model_name : str
  model_authors : List[str]
  model_short_description : str
  model_long_description : str
  technical_description : str
  technical_links : Dict[str, str]
  neutone_parameters : Dict[str, Dict[str, str]]
  wet_default_value : float
  dry_default_value : float
  input_gain_default_value : float
  output_gain_default_value : float
  tags : List[str]
  model_version : str
  sdk_version : str
  date_created : float
  pytorch_version : str
  citation : str
  is_experimental : bool
