def validate_waveform(x: Tensor,
    is_mono: bool) -> NoneType:
  _0 = "AssertionError: Audio tensor must have two dimensions: (channels, samples)"
  _1 = "AssertionError: Audio tensor should be mono and have exactly one channel"
  _2 = "AssertionError: Audio tensor should be stereo and have exactly two channels"
  _3 = "The number of channels {} exceeds the number of samples {} in the audio tensor. There might be something wrong with the model."
  if torch.eq(torch.dim(x), 2):
    pass
  else:
    ops.prim.RaiseException(_0)
  if is_mono:
    if torch.eq((torch.size(x))[0], 1):
      pass
    else:
      ops.prim.RaiseException(_1)
  else:
    if torch.eq((torch.size(x))[0], 2):
      pass
    else:
      ops.prim.RaiseException(_2)
  _4 = torch.gt((torch.size(x))[-1], (torch.size(x))[0])
  if _4:
    pass
  else:
    _5 = torch.format(_3, (torch.size(x))[-2], (torch.size(x))[-1])
    ops.prim.RaiseException(torch.add("AssertionError: ", _5))
  return None
